gtk-sharp2 (2.12.40-3) unstable; urgency=medium

  * [d457288] Fix build on newer Mono

 -- Jo Shields <joshield@microsoft.com>  Mon, 24 Feb 2020 17:06:17 -0500

gtk-sharp2 (2.12.40-2) unstable; urgency=medium

  * [bf035d9] fix Gtk.TreeView.get/set_Model() throwing NullReferenceException.
    This fix is a cherry-picked commit 4ac71507fffce997207215ac3f8b38471ce60a14
    from upstream's git repository.
    The fix is already included in a newer upstream version (GTK# 2.12.41), but
    for getting a freeze exception I have only backported the fix that affects
    the Debian release. (Closes: #860450)

 -- Mirco Bauer <meebey@debian.org>  Mon, 17 Apr 2017 14:55:40 +0800

gtk-sharp2 (2.12.40-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * debian/patches/no-void-cachetype.patch: Do not generate invalid
    syntax when certain methods return void (Closes: #849932)

  [ Simon McVittie ]
  * Add a longer changelog entry and some patch metadata for the fix
    above
  * Run dh_cligacpolicy with umask 022 to avoid installing some files
    with 0664, 0775 permissions (Lintian warning)
  * Relax gtk-sharp2 dependencies so they can be satisfied by a binNMU
    (Lintian error)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Apr 2017 18:33:48 +0100

gtk-sharp2 (2.12.40-1) unstable; urgency=medium

  * The "from Hong Kong's hackerspace DimSumLabs with love" release
    + 10 gbit/s Internet helps creating pbuilder images

  * [d33e8bf] New upstream version 2.12.40
  * [9c6224b] debian/patches/*: refreshed and removed patches included by new
              upstream version.
  * [9ad19a5] debian/gbp.conf: git build package (gbp) config file
  * [93c2acb] bump clilibs API version to 2.12.40
  * [d77e645] add missing gtk-sharp dllmap for libgdk-win32-2.0-0.dll

 -- Mirco Bauer <meebey@debian.org>  Tue, 15 Nov 2016 21:04:31 +0800

gtk-sharp2 (2.12.10-6) unstable; urgency=medium

  * [97fcc59] Use libmono-cairo4.0-cil

 -- Iain Lane <laney@debian.org>  Mon, 14 Dec 2015 17:30:48 +0000

gtk-sharp2 (2.12.10-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: add upstream commits
    0001-glib-Fix-native-GLib-warnings-when-disposing-SourceP,
    0002-Check-that-source_handlers-contains-the-tag from version 2.12.26,
    fixing warning spam from removing nonexistent event sources with
    recent GLib. This was filed as RC, since it can consume significant
    disk space in long-running Gtk# apps. (Closes: #776145)

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Feb 2015 11:52:55 +0000

gtk-sharp2 (2.12.10-5) unstable; urgency=low

  * [b130b4f] debian/patches: add 06_IconTheme_use_glib_marshaller.
    This makes IconTheme.get_SearchPath() 64-bit safe.

 -- Carlos Martín Nieto <cmn@dwim.me>  Wed, 05 Sep 2012 23:22:15 +0100

gtk-sharp2 (2.12.10-4) unstable; urgency=low

  [ Colin Watson ]
  * Include <glib.h> rather than individual headers (Closes: #665550).

  [ Christopher James Halse Rogers ]
  * debian/patches/04_fix_glib_2.31_threading.dpatch:
    + GLib 2.31 always has threading support, always initialises it, and has
      dropped some deprecated functions.  Update glibsharpglue and 
      Thread.cs to match.  Fixes FTBFS (LP: #911125, LP: #935518)
  * debian/control:
    + Add versioned dependency on glib > 2.31 to libglib2.0-cil, as we depend
      on the threading behaviour of those GLibs.
  * debian/control:
  * debian/rules:
    + Add dh_autoreconf to update build system for patch
  * debian/patches/99_ltmain_as_needed:
    + Drop; dh_autoreconf does this better

  [ Iain Lane ]
  * [7d1433b] Remove explicit glib Depends for libglib2.0-cil.  We can get
    this right on our own without hardcoding it.  Thanks to Michael Biebl
    <biebl@debian.org>
  * [741d13f] Add misc:Depends to gtk-sharp2. Thanks, Lintian
  * [236a8a8] Convert to 3.0 (quilt)
  * [4ed8f5e] Standards-Version → 3.9.3, no changes
  * [1a8ebc7] Run wrap-and-sort to tidy up

 -- Iain Lane <laney@debian.org>  Wed, 11 Apr 2012 11:44:16 +0100

gtk-sharp2 (2.12.10-3) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition 

 -- Iain Lane <laney@debian.org>  Mon, 23 Jan 2012 19:57:58 +0000

gtk-sharp2 (2.12.10-2) unstable; urgency=low

  [ Julian Taylor ]
  * [87af615] initial upstream branch
  * [2c8987c] Imported Upstream version 2.12.10
  * [b47eac8] drop unnecessary dependency on libmono-dev
  * [5c8dcfc] update Vcs-* fields to point to git

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 11 Jul 2011 23:11:57 +0100

gtk-sharp2 (2.12.10-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Bump API version to 2.12.10
  * debian/control:
    + Bump Standards to 3.8.4 (no changes needed)
  * debian/source/format:
    + Force Debian source format 1.0
  * debian/rules:
    + Write a get-orig-source rule
  * debian/watch:
    + Get rid of evil "debian uupdate" line which breaks packaging work on
      Ubuntu
  * debian/patches/01_dllmaps.dpatch:
    + Refreshed

 -- Jo Shields <directhex@apebox.org>  Tue, 18 May 2010 00:00:41 +0100

gtk-sharp2 (2.12.9-4) unstable; urgency=low

  * debian/patches/02_pcfiles.dpatch:
    + Fix path to gtk-dotnet.dll in pcfile

 -- Jo Shields <directhex@apebox.org>  Thu, 21 Jan 2010 14:54:32 +0000

gtk-sharp2 (2.12.9-3) unstable; urgency=low

  * debian/control:
    + Add explicit dependencies on -cil-dev packages whose pkg-config
      files have a Requires line. Previously this was taken care of by 
      accident thanks to dh_clideps, but not since the -cil-dev split.

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jan 2010 10:27:01 +0000

gtk-sharp2 (2.12.9-2) unstable; urgency=low

  [ Jo Shields ]
  * debian/control:
    + Bump standards version to 3.8.3
    + Correct "GKT" to "GTK"
    + Raise cli-common-dev dependency to 0.5.7 for dh_cligacpolicy
    + gtk-sharp2 should depend on -dev packages, not on ABI'd packages
  * debian/rules,
    debian/control:
    + Use mono-csc from mono-devel 2.4.2.3 for CSC, fixing FTBFS.
      (Closes: #562272)
  * debian/control,
    debian/libg*2.0-cil.install,
    debian/libg*-cil-dev.install:
    + Create unversioned -dev packages containing pkg-config files
      and GAPI files
  * debian/libg*2.0-cil.install:
    + Use CLI Policy 0.7 install location for libs
  * debian/libg*2.0-cil.install,
    debian/libg*2.0-cil.installcligac,
    debian/rules:
    + Use dh_installcligac instead of manually including the GAC entries via
      .install files
  * debian/libg*2.0-cil.install,
    debian/libg*2.0-cil.cligacpolicy,
    debian/rules:
    + Use dh_cligacpolicy rather than playing with assorted policy symlinks
  * debian/patches/02_pcfiles.dpatch:
    + Patch pkg-config files to cope with new install locations
  * debian/patches/01_dllmaps.dpatch:
    + Refresh patch for new CLI Policy 0.7 install locations
  * debian/monodoc-gtk2.0-manual.postinst,
    debian/control:
    + Stop using a postinst for manuals - use the trigger support from recent
      monodoc-base

  [ Mirco Bauer ]
  * debian/libg*-cil-dev.install
    debian/control:
    + Renamed the -cil-dev packages so they contain the API version, as the
      pkg-config files are versioned too.
      (no Replaces/Conflicts added as -2 never hit the archive!)
  * debian/control:
    + Let gtk-sharp2 meta package depend on the same source version for simple
      and reliable upgrades.
    + Fixed typo in package description. (Closes: #557692)

 -- Jo Shields <directhex@apebox.org>  Fri, 27 Nov 2009 10:42:46 +0000

gtk-sharp2 (2.12.9-1) unstable; urgency=low

  [ Mirco Bauer ]
  * debian/control:
    + Added versioned libglib2.0-cil dependency to gtk-sharp2-gapi, as the
      code generator makes assumptions of available types.

  [ Sebastian Dröge ]
  * New upstream bugfix release, including API fixups.
  * debian/rules:
    + Update API version to 2.12.9.
  * debian/control:
    + Update Standards-Version to 3.8.1.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 May 2009 11:29:34 +0200

gtk-sharp2 (2.12.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Fri, 27 Feb 2009 00:13:39 +0100

gtk-sharp2 (2.12.8-1) experimental; urgency=low

  [ Steve Langasek ]
  * debian/control: update the build-dependencies for mono 2.0.
  * debian/rules: pass CSC=/usr/bin/csc to configure, for the mono 2.0
    transition.

  [ Jo Shields ]
  * debian/rules:
    + Set MONO_CAIRO_LIBS=-r:Mono.Cairo to manually provide Mono.Cairo
      build information (instead of using the 1.0-only pkg-config entry)
    + Set MONO_CAIRO_CFLAGS to " " to fool configure into not asking
      pkg-config for mono-cairo.pc

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Feb 2009 06:33:30 +0100

gtk-sharp2 (2.12.7-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update API version to 2.12.7 for new API.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Dec 2008 10:25:34 +0100

gtk-sharp2 (2.12.6-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update API version to 2.12.6 for new API.
    + debian/patches/02_icon_theme_memory_leak.dpatch:
      - Dropped, upstream.
  * debian/control:
    + Updated Standards-Version to 3.8.0, no changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Nov 2008 09:59:27 +0100

gtk-sharp2 (2.12.1-2) unstable; urgency=low

  [ David Paleino ]
  * Lintian cleanup:
    - debian/rules: check for existency of Makefile
    - debian/copyright: fixed "copyright-without-copyright-notice"
    - debian/patches/*: fixed "dpatch-missing-description"
  * debian/patches/:
    - 02_icon_theme_memory_leak
      + Patch from upstream svn.  Fixes a memory leak where LoadIcon 
        would leak Pixbufs (Closes: #498298).

 -- Mirco Bauer <meebey@debian.org>  Sun, 05 Oct 2008 21:21:21 +0200

gtk-sharp2 (2.12.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + Adds some API to explicitely not handling some GObject subclasses with
      toggle refs. This prepares a fix for the infamous segfault-at-exit
      bug that many applications using Gnome.Program had.
    + debian/rules:
      - Update API version to 2.12.1 because of some API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Apr 2008 23:42:59 +0200

gtk-sharp2 (2.12.0-2) unstable; urgency=low

  * debian/copyright:
    + Updated and cleaned up a bit.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 09:44:19 +0100

gtk-sharp2 (2.12.0-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Update build dependencies and package descriptions.
      - Cleanup build dependencies.
    + debian/libgtk2.0-cil.install:
      - Ship glue for atk.
    + debian/rules:
      - Update API version to 2.12.0.
    + debian/patches/01_dllmaps.dpatch:
      - Convert 01_glue-locations.dpatch 02_missing_dllmaps.dpatch into a
        single patch.
      - Add atk glue.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Mar 2008 19:12:42 +0100

gtk-sharp2 (2.10.4-2) unstable; urgency=low

  * debian/rules:
    + Update clilibs for the arch dep packages to >= 2.10.4 too.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Mar 2008 05:03:38 +0100

gtk-sharp2 (2.10.4-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/avoid_boxing_r96364.dpatch:
      - Dropped, merged upstream.
    + debian/patches/99_ltmain_as-needed.dpatch:
      - Updated to apply cleanly again.
    + debian/rules:
      - Update clilibs to >= 2.10.4.
    + debian/libglib2.0-cil.install:
      - Add new glib-api.xml file.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 29 Feb 2008 06:34:08 +0100

gtk-sharp2 (2.10.2-6) unstable; urgency=low

  * debian/patches/avoid_boxing_r96364.dpatch:
    + Avoid boxing of ints to reduce memory usage, taken from upstream's SVN.

 -- Mirco Bauer <meebey@debian.org>  Thu, 28 Feb 2008 21:46:14 +0100

gtk-sharp2 (2.10.2-5) unstable; urgency=low

  * debian/control:
    + Added Homepage, Vcs-Svn and Vcs-Browser fields.
    + Updated Standards-Version to 3.7.3, no changes needed.
    + Added names of assemblies in the package long description to aid
      apt-cache searches.
    + Added suggests monodoc-gtk2.0-manual to the library packages.

 -- Mirco Bauer <meebey@debian.org>  Thu, 27 Dec 2007 21:51:38 +0100

gtk-sharp2 (2.10.2-4) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/rules:
    + Also use -Wl,-z,defs -Wl,-O1 when linking.

  [ Mirco Bauer ]
  * debian/control:
    + Added mono-1.0-devel to build-deps, fixes FTBFS.
      (needed since the as mono-mcs package was split)
    + Fixed casing of Gtk+ and Gnome# in package descriptions, as the official
      names are GTK+ and GNOME (uppercase).
  * debian/rules:
    + Use dh_clifixperms instead of find calls.

 -- Mirco Bauer <meebey@debian.org>  Sat, 22 Dec 2007 23:23:06 +0100

gtk-sharp2 (2.10.2-3) unstable; urgency=low

  * debian/rules:
    + Actually pass CFLAGS and LDFLAGS to configure
    + Use --as-needed when linking to get less dependencies.
  * debian/patches/99_ltmain_as-needed.dpatch:
    + Patch used in many Gnome package to reorder the linking
      parameters so --as-needed is actually used.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 Dec 2007 13:26:50 +0100

gtk-sharp2 (2.10.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fix_callback_code_generator.dpatch:
    + Dropped, a different fix for this is upstream now.
  * debian/rules:
    + Bump clilibs to >= 2.10.2 because of new API.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Sep 2007 20:05:12 +0200

gtk-sharp2 (2.10.1-3) unstable; urgency=low

  * debian/rules:
    + Bump clilibs to >= 2.10.1 because of the new API (Closes: #436259).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Aug 2007 17:45:14 +0200

gtk-sharp2 (2.10.1-2) unstable; urgency=low

  * Mirco 'meebey' Bauer:
    + debian/control:
      - Using my Debian email address now.
    + debian/man/*.1:
      - Added undocumented manpage stubs.
    + debian/patches/fix_callback_code_generator.dpatch:
      - Fix gapi's code generator for callbacks with out parameters.
        (Closes: #430027)

 -- Mirco Bauer <meebey@debian.org>  Thu, 28 Jun 2007 19:31:40 +0200

gtk-sharp2 (2.10.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/03_pixbuf-dispose.dpatch,
    debian/patches/04_pixbuf-refcount.dpatch,
    debian/patches/05_statusicon.dpatch,
    debian/patches/06_custom-cellrenderer.dpatch,
    debian/patches/99_autoreconf.dpatch:
    + Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Jun 2007 22:57:30 +0200

gtk-sharp2 (2.10.0-2) unstable; urgency=low

  * Upload to unstable
  * Sebastian 'slomo' Dröge:
    + debian/patches/03_pixbuf-dispose.dpatch:
      - Properly dispose Gdk.Pixbufs
    + debian/patches/04_pixbuf-refcount.dpatch:
      - Fix incorrect refcounts with Gdk.Pixbuf.RotateSimple
    + debian/patches/05_statusicon.dpatch:
      - Fix Gtk.StatusIcon method signatures
    + debian/patches/06_custom-cellrenderer.dpatch:
      - Fix subclassing of Gtk.CellRenderer
    + debian/patches/99_autoreconf.dpatch:
      - Regenerated autotools files for above patches
    + debian/control:
      - Removed Dave Beckett from Uploaders by his request

 -- Sebastian Dröge <slomo@debian.org>  Sun, 15 Apr 2007 23:53:47 +0200

gtk-sharp2 (2.10.0-1) experimental; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
      - Gnome and GTK+ bindings split into separate source packages
    + debian/patches/01_glue-locations.dpatch,
      debian/patches/02_missing_dllmaps.dpatch:
      - Updated
    + debian/watch:
      - Updated
    + debian/rules:
      - Bumped clilibs to >= 2.10
    + debian/control,
      debian/libgtk2.0-cil.install,
      debian/libglade2.0-cil.install,
      debian/gtk-sharp2-gapi.install:
      - Move gapi XML files to their corresponding library packages
    + debian/control:
      - Updated to use my debian.org mail address

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Jan 2007 10:27:16 +0100

gtk-sharp2 (2.8.3-2) unstable; urgency=medium

  * Mirco 'meebey' Bauer
    + debian/patches/01_glue-locations.dpatch:
      - Fixed tag closing, caused parse error for dh_clideps (FTBFS).
        (Closes: #390116)
    + debian/patches/02_missing_dllmaps.dpatch:
      - Adds some missing entries in the DLL maps.
    + debian/control:
      - Bumped cli-common-dev build-dep to >= 0.4.6, handles paths now
        correctly in DLL maps.
 
 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat,  30 Sep 2006 01:16:22 +0200

gtk-sharp2 (2.8.3-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge
    + New upstream release
    + debian/patches/02_workaround-340904.dpatch,
      debian/patches/03_gnomevfs-mimetype-pinvokes.dpatch,
      debian/patches/04_list-to-array-marshalling.dpatch,
      debian/patches/05_gdk-drawable.dpatch,
      debian/patches/06_value-array-smp-free.dpatch:
      - dropped, merged upstream
    + debian/control,
      debian/compat:
      - update debhelper compat level to 5

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  9 Jul 2006 23:43:04 +0200

gtk-sharp2 (2.8.2-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Rebuild against Mono 1.1.13.6-3
    + Updated cli-common build-dep to cli-common-dev >= 0.4.0
    + Added libmono-cairo1.0-cil to build-deps.
  * Sebastian 'slomo' Dröge
    + Add myself to Uploaders
    + Update Standards-Version to 3.7.2
    + debian/patches/03_gnomevfs-mimetype-pinvokes.dpatch: (SVN rev 58615)
      - Fix the GnomeVFS MimeType P/Invokes to conform to the
        const/non-const conventions as specified in the gnomevfs headers.
        This fixes a possible double free().
    + debian/patches/04_list-to-array-marshalling.dpatch: (SVN rev 58609)
      - Fix the ListToArray marshalling to respect the owners of the Opaque
        elements.
    + debian/patches/05_gdk-drawable.dpatch:
      - Fix signature of Gdk.Drawable.DrawPoints(). The old version was
        completely wrong and would segfault everything using it.
        http://bugzilla.ximian.com/show_bug.cgi?id=77942
    + debian/patches/06_value-array-smp-free.dpatch:
      - Don't immediately free ValueArrays; queue them up to be freed in the
        main thread by using a Timeout. This fixes SMP deadlocks when the
        GValues contained therein aren't threadsafe (like GDK resources).

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Fri, 14 Apr 2006 12:48:02 +0200

gtk-sharp2 (2.8.2-1) unstable; urgency=low

  * New upstream release

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 12 Mar 2006 01:10:07 +0100

gtk-sharp2 (2.8.1-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + debian/control:
      - Added missing conflicts/replaces to gtk-sharp2-gapi for
        gtk-sharp2-unstable-gapi.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 12 Feb 2006 22:33:58 +0100

gtk-sharp2 (2.8.0-1) unstable; urgency=low

  * New upstream release
    + This release ships GAC policy files which ensures ABI compatiblity for
      programs that were compiled against GTK# 2.4 and 2.6
  * Mirco 'meebey' Bauer
    + debian/control:
      - Updated package descriptions for 2.8
      - Updated build-deps to use GTK+ 2.8
      - Added ${misc:Depends} where appropriate
    + debian/rules:
      - Updated dh_makeclilibs call for minimum ABI comp version 2.7.90
    + debian/libgconf2.0-cil.install:
      - Added GAC policy files.
    + debian/libglade2.0-cil.install:
      - Added GAC policy files.
    + debian/libglib2.0-cil.install:
      - Added GAC policy files.
    + debian/libgnome2.0-cil.install:
      - Added GAC policy files.
    + debian/libgtk2.0-cil.install:
      - Added GAC policy files.
    + debian/libvte2.0-cil.install:
      - Added GAC policy files.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 2 Feb 2006 20:08:26 +0100

gtk-sharp2 (2.4.0-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Fixed debian/watch
    + Added debian/02_workaround-340904.dpatch by Andreas Henriksson
      <andreas@fjortis.info> (Closes: #348994):
      - Changed Makefile.(am|in) to solve VTE build problems

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Fri, 20 Jan 2006 11:58:45 +0100

gtk-sharp2 (2.4.0-1) unstable; urgency=low

  * New upstream release
    + This is the final stable release, thus dropping all "unstable version"
      marks in the package descriptions.
  * Mirco 'meebey' Bauer
    + Added missing gtk-dotnet-2.0.pc to libgtk2.0-cil package.
    + Updated all packages descriptions to match what the library binds.
    + Patch by Sebastian 'slomo' Dröge <slomo@ubuntu.com>:
      - Renamed source package to gtk-sharp2 as it's stable now
      - Moved glue libs from /usr/lib into /usr/lib/mono/gtk-sharp-2.0
      - Less stricter clilibs. Upstream guarantees ABI compatibility from now
        on.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 13 Nov 2005 19:53:17 +0100

gtk-sharp2-unstable (2.3.92-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Added missing glib-sharp-2.0.pc to libglib2.0-cil package.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 16 Oct 2005 20:21:39 +0100

gtk-sharp2-unstable (2.3.92-1) unstable; urgency=low

  * New upstream version

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 16 Oct 2005 20:21:39 +0100

gtk-sharp2-unstable (2.3.91-1) unstable; urgency=low

  * New upstream version
    + Upstream bumped version number to 2.3.x so it will match the GTK+ 2.4
      version in the final release.
  * Mirco 'meebey' Bauer
    + Changes for Gtk# 2.3.91 are inspired by the Ubuntu patch
      (thanks to Brandon Hale).
    + gda and gnomedb are not shipped anymore in libgnome2.0-cil, dropped
      upstream.
      - Removed libgda2-dev and libgnomedb2-dev from build-deps.
      - Removed dllmap hack in debian/rules for gda.
    + Shipping gtk-dotnet assemblies in libgtk2.0-cil now. (Closes: #316483)
    + dh_makeclilibs will now generate less strict deps, because with
      2.3.90 the API is now stable. 
    + Updated to Standards Version 3.6.2.1 (no changes).
    + Added monodoc-gtk2.0-manual to "Depends" of gtk-sharp2 meta package.
    + Change arch-field of libvte2.0-cil back to any, it contains now a glue
      library.
    + Updated versioned build-dep of cli-common to >= 0.2.0

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 25 Sep 2005 19:56:04 +0100

gtk-sharp2-unstable (1.9.5-2) unstable; urgency=low

  * Dave Beckett
    + Rebuild against libgtkhtml3.6-dev (Closes: #321560)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 6 Aug 2005 14:21:04 +0100

gtk-sharp2-unstable (1.9.5-1) unstable; urgency=low

  * upload to unstable
  * New upstream release
  * Mirco 'meebey' Bauer
    + debian/gtk-sharp2-gapi.install:
      - gapi_parser.pl got replaced by gapi-parser.exe
      - added gapi_pp.pl and gapi2xml.pl
    + debian/gtk-sharp2-examples.manpages:
      - created undocumented manpage for gapi2-codegen, gapi2-fixup and
        gapi2-parser
    + debian/gtk-sharp2-gapi.manpages:
      - created undocumented manpage for gtk-sharp2-examples-list
    + debian/libgtk2.0-cil.install:
      - added libpangosharpglue-2.so
    + debian/libvte2.0-cil.install:
      - added libvtesharpglue-2.so
    + added debian/watch file

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 29 May 2005 19:57:32 +0200

gtk-sharp2-unstable (1.9.3-2) experimental; urgency=low

  * Mirco 'meebey' Bauer
    + added monodoc-gtk2.0-manual binary package
      (we generate the Gtk#2 documentation now)
    + updated versioned build-dep of cli-common to >= 0.1.3

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 15 May 2005 19:11:20 +0200

gtk-sharp2-unstable (1.9.3-1) experimental; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + /usr/share/dotnet to /usr/lib transition
    + merged .files with .install
    + fixed/updated directories/files so it can co-exist with gtk-sharp nicely
    + created gkt-sharp2 metapackage, this way users can easily install the
      whole Gtk# suite.
    + updated versioned build-dep of libgnomedb2-dev to >= 1.2.1
    + added dllmap hack to use libgda-2.so.3 instead of libgda-2.so.1
    + removed "unstable" string from package names.
    + added -l to dh_makeclilibs, making stricter dependencies now
      (the is API not unstable yet)
  * Dave Beckett
    + Rebuild against libgda2-3
    + updated versioned build-dep of libgda2-dev to >= 1.2.1
    + Changed source package name to gtk-sharp2-unstable
    + Switch to experimental
    + Remove not-used Build-Depend on autoconf and automake1.4
    + debian/rules: generate correct clilibs version, directly using main
      version rather than hand-edited hardcoded version
    + Renamed libgtksharpglue-2.0* and libpanelappletsharpglue-2*
      to libgtksharpglue-2* and libpanelappletsharpglue-2* to match upstream.
    + Initial packaging for Gtk# 2.0 based on gtk-sharp source package.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 10 Apr 2005 12:21:40 +0200

gtk-sharp (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + changed dh_makenetlibs -m 0.93 to 1.0 (to guarantee compability)
    + moved glade.pc to libglade-cil
      (closes: #271873 thanks to Matt Kraai <kraai@ftbfs.org>)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 09 Oct 2004 19:21:23 +0200

gtk-sharp (1.0-4) unstable; urgency=low

  * restored accidently deleted links for gapi-fixup and gapi-codegen

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 08 Aug 2004 16:46:43 +0200

gtk-sharp (1.0-3) unstable; urgency=medium

  * Switched to use "stable" libgtkhtml series (closes: #258995)
  * set local MONO_GAC_PREFIX to make package internal dependencies
    resolveable (closes: #258040, #260373)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 08 Aug 2004 12:30:31 +0200

gtk-sharp (1.0-2) unstable; urgency=low

  * Eduard Bloch
    + Fixed build-depends to fix FTBFS on Powerpc
    + updates to work with libgtkhtml3.1-11 (closes: #259447)
    + depending on a newer version of mono-utils having a better working
      dh_makenetlibs (closes: #258040)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 15 Jul 2004 16:13:05 +0200

gtk-sharp (1.0-1) unstable; urgency=low

  * New upstream release
  * Eduard Bloch
    + dependency tunning, suggesting versions >= 0.93 only
    + chmod a-x on example source (closes: #255411)
  * Mirco 'meebey' Bauer
    + debian/rules: fixed .wapi path, added sample/rsvg Makefile hack

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 3 Jul 2004 00:10:15 +0200

gtk-sharp (0.98-2) unstable; urgency=low

  * Eduard Bloch
    + Set strong Build-Dep on libgtkhtml3.1-10 now (in the hope that GNOME
      funsters will keep at least THIS PACKAGE NAME and SONAME for longer than
      few weeks)
    + rewriting gtkhtml-sharp.dll.config to match the new SONAME

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 19 Jun 2004 15:25:35 +0200

gtk-sharp (0.98-1) unstable; urgency=low

  * New upstream release
  * Eduard Bloch
    + integration of the new debhelper-managed dependencies, finaly creating
      proper dependencies between the packages and shared lib (closes: #255163)
    + relaxed the suggested dependencies, the API should be frozen
  * Mirco 'meebey' Bauer
    + added proper Conflicts/Replaces for smooth upgrades from older versions

 --  Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 19 Jun 2004 14:54:01 +0200

gtk-sharp (0.91.1-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + new upstream version, fixes FTBFS on powerpc, jit should work
      now (Closes: Bug#244874)
    + new package libvte-cil
    + cleaned up the rules script
    + added pixmap directory for gtk-sharp-examples (Closes: Bug#248295)
    + MonoConvention 0.1.4 conform
  * Eduard Bloch
    + Build-Conflicts: with the broken libart version
    + change to Arch:any packages with splitted glue libs and
      new package names
    + splitted gnome into gnome and glade pkgs

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 11 May 2004 17:44:20 +0200

gtk-sharp (0.18-2) unstable; urgency=low

  * set the dependency on new monodoc-base or at least old monodoc-browser to
    prevent possible FTBFS (monodoc/assembler.exe needed)
  * explicit build-conflicts with libgtkhtml3.0-2, wrong dependency could be
    set otherwise

 -- Eduard Bloch <blade@debian.org>  Fri,  9 Apr 2004 14:24:20 +0200

gtk-sharp (0.18-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + changed Build-Depends to debhelper (>= 4.1.87)
      rules: set DH_COMPAT to 4, added GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
      (closes: Bug#237897 thanks to Anthony W. Juckel for the patch)
    + changed Depends to libgtkhtml3.0-4, 3.0-2 is removed fom the archive
      (closes: Bug#240529, Bug#241392)
    + added gnome-sharp to gtk-sharp-examples dependencies (closes: #240297)
    + new upstream release (closes: Bug#242001)

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 06 Apr 2004 11:03:39 +0200

gtk-sharp (0.17-1) unstable; urgency=low

  * Mirco 'meebey' Bauer <mail@meebey.net>
    + chmod +x *.exe (according to MonoConventions) (closes #234891)
    + added autoconf and automake1.4 to build-depends
      (closes #233156 thanks to Daniel Schepler for the patch)
    + new upstream release

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 06 Mar 2004 12:30:10 +0100

gtk-sharp (0.16-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + added libxml-libxml-perl dependency  (closes: #234460)

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 24 Feb 2004 10:37:30 +0100

gtk-sharp (0.16-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + added libgail-dev to build-depends.
    + new upstream release 
  * Eduard Bloch
    + moved examples and their source to /usr/share/dotnet/gtk-sharp-examples
    + added script to list them

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Thu, 12 Feb 2004 17:25:33 +0100

gtk-sharp (0.15-2) unstable; urgency=low

  * added more Build-Dependencies to control, in order to build new bindings to
    Gnome2 components (gda, gnomedb, rsvg, gtkhtml)
  * Dependencies cleanup: dropped weird deps on -dev packages, replaced most
    gnome libs with depedencies to the ultimate dependencies harvester:
    libgtkhtml3.0(-dev)

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Jan 2004 19:32:50 +0100

gtk-sharp (0.15-1) unstable; urgency=low

  * added the -gapi package with the same data and desc as their RPM
  * added examples and source in an extra package
  * running autogen.sh at build time

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Jan 2004 20:41:15 +0100

gtk-sharp (0.8-1) unstable; urgency=low

  * New upstream release

 -- Alp Toker <alp@atoker.com>  Mon, 24 Feb 2003 18:21:27 +0000

gtk-sharp (0.7-1) unstable; urgency=low

  * New upstream release
  * Remove Gst# hacks
  * Pass RUNTIME argument to make
  * epochs: just say no

 -- Alp Toker <alp@atoker.com>  Tue, 21 Jan 2003 06:11:27 +0000

gtk-sharp (0.6-1) unstable; urgency=low

  * Gratuitously credited myself in debian/copyright.
  * Added 1: epoch in honour of all those people who tracked these
     gtk-sharp packages through the early days before they had versions
     of their own (and were versioned like Mono releases). Rolled back
     to 0.6-1 accordingly.
  * Total rewrite of debian/rules. Severe crapectomy! Seperated build
     targets for indep/arch. Correct treatment of arch all and arch any
     packages in respective binary-indep/arch targets.
  * Use correctly working DESTDIR instead of broken prefix, removing
     necessity to complain and run configure twice. :P
  * Removed need for gratuitous patchup script, do patching in the
     binary-indep target after building the generator and api dirs.
  * Tweaked descriptions in debian/control & raised standards version.
  * Updated Maintainer to mono@debianplanet.org and added me and alp as 
     Uploaders.
  * Tighten up dependencies on other -sharp packages to include the
     current package version. Never know what's changing or changed, so
     piecemeal upgrades could cause bugs or confusion down the line
     (especially with an unversioned glue lib =).
  * Added build-depends for libtool, autoconf and automake (to
     compensate for bizzarely hosed upstream tarball).
  * Added rm install-sh missing mkinstalldirs depcomp to clean target,
     and switched to maintainer-clean (for same reason).
  * Added Replaces header to glib-sharp for upgrades from old gtk-sharp
    packages.
  * Removed un-necessary .dirs files.
  * Fixed upstream make install targets to make the dirs beforehand.
  * Added gst to DIRS in the makefile so it gets built and installed
     with the rest.
  * Remove sample from DIRS in the makefile to bypass gconf schemas and
     other nonsense.
  * Use -avoid-version with libgtksharpglue to call the library .so and
     avoid symlinks. Add gtk-sharp-glue.files now we're installing
     things properly.
  * Don't ship README. It's not helpful to end users, and it was going
     into the wrong package anyway.
  * Added gtk-sharp-glue deps to glib, gnome and glade. Grepping the
     source shows this to be necessary.
  * Replace glade-sharp (rolled into gnome-sharp) with gconf-sharp which
     is potentially useful without the GNOME UI libs etc. Added
     appropriate Conflicts/Provides/Replaces to gnome-sharp.
  * Ship gconf-sharp-peditors.dll in gnome-sharp package.

 -- Robert McQueen <robot101@debian.org>  Thu, 19 Dec 2002 06:01:55 +0000

gtk-sharp (0.6-5) unstable; urgency=low

  * Fix gnome-sharp files

 -- Alp Toker <alp@atoker.com>  Tue, 17 Dec 2002 15:27:56 +0000

gtk-sharp (0.6-4) unstable; urgency=low

  * Depend on glib-sharp as needed

 -- Alp Toker <alp@atoker.com>  Tue, 17 Dec 2002 14:57:54 +0000

gtk-sharp (0.6-3) unstable; urgency=low

  * Fix the clean target

 -- Alp Toker <alp@atoker.com>  Tue, 17 Dec 2002 14:06:15 +0000

gtk-sharp (0.6-2) unstable; urgency=low

  * Add support for glade-sharp, gnome-sharp, gst-sharp as individual
    packages.

 -- Alp Toker <alp@atoker.com>  Mon, 16 Dec 2002 18:07:17 +0000

gtk-sharp (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Alp Toker <alp@atoker.com>  Sun, 28 Apr 2002 22:10:10 +0100

